Java2DSVGHandler.Java2DInfo (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.java2d

## Class Java2DSVGHandler.Java2DInfo

- java.lang.Object
- - org.apache.fop.render.java2d.Java2DSVGHandler.Java2DInfo

- Enclosing class:
    Java2DSVGHandler

      public static class Java2DSVGHandler.Java2DInfo
      extends java.lang.Object

  Java2D information structure for drawing the XML document.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `currentXPosition` see Java2D_XPOS
    `int` | `currentYPosition` see Java2D_YPOS
    `int` | `height` see Java2D_HEIGHT
    `boolean` | `paintAsBitmap` paint as bitmap
    `Java2DGraphicsState` | `state` see Java2D_STATE
    `int` | `width` see Java2D_WIDTH

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Java2DInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### state

          public Java2DGraphicsState state

      see Java2D_STATE

    - #### width

          public int width

      see Java2D_WIDTH

    - #### height

          public int height

      see Java2D_HEIGHT

    - #### currentXPosition

          public int currentXPosition

      see Java2D_XPOS

    - #### currentYPosition

          public int currentYPosition

      see Java2D_YPOS

    - #### paintAsBitmap

          public boolean paintAsBitmap

      paint as bitmap

  - ### Constructor Detail

    - #### Java2DInfo

          public Java2DInfo()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.